import request from '@/utils/request'

// 获取步骤列表数据
export function getChatLists(params) {
  return request({
    url: 'onlinechatapi/api/OnLineChat/getlistsbypage',
    method: 'get',
    params
  })
}
// 获取字典下拉数据
export function getDictionary() {
  return request({
    url: 'configurationapi/api/dictionary/getlistdrop',
    method: 'get'
  })
}

// 获取步骤详情
export function getDetailes(id) {
  return request({
    url: 'onlinechatapi/api/OnLineChat/getdetailes',
    method: 'get',
    params: {
      id
    }
  })
}

// 添加步骤数据
export function addLineChat(data) {
  return request({
    url: 'onlinechatapi/api/OnLineChat/add',
    method: 'post',
    data
  })
}

// 编辑步骤数据
export function editLineChat(data) {
  return request({
    url: 'onlinechatapi/api/OnLineChat/update',
    method: 'post',
    data
  })
}

// 删除步骤数据
export function deleteLineChat(ids) {
  return request({
    url: 'onlinechatapi/api/OnLineChat/delete',
    method: 'post',
    data: {
      ids
    }
  })
}
